All Classes Namespaces Functions Pages
hal::SequenceIterator Class Referenceabstract

`#include <halSequenceIterator.h>`

## Public Member Functions

virtual SequenceIteratorPtr | copy ()=0
virtual SequenceIteratorConstPtr | copy () const =0
virtual void | toNext () const =0
virtual void | toPrev () const =0
virtual Sequence * | getSequence ()=0
virtual const Sequence * | getSequence () const =0
virtual bool | equals (SequenceIteratorConstPtr p2) const =0

## Friends

class | counted_ptr< SequenceIterator >
class | counted_ptr< const SequenceIterator >

## Detailed Description

Iterate over sequences in the genome.

## Member Function Documentation

virtual SequenceIteratorPtr hal::SequenceIterator::copy | ( |  | ) |

pure virtual

Create a duplicate iterator referring to the same sequence which itself is not copied

virtual SequenceIteratorConstPtr hal::SequenceIterator::copy | ( |  | ) | const

pure virtual

Create a duplicate iterator referring to the same sequence which itself is not copied

virtual bool hal::SequenceIterator::equals | ( | SequenceIteratorConstPtr | p2 | ) | const

pure virtual

Test if iterator points to same sequence as other iterator

virtual Sequence* hal::SequenceIterator::getSequence | ( |  | ) |

pure virtual

Return pointer to the sequence

virtual const Sequence* hal::SequenceIterator::getSequence | ( |  | ) | const

pure virtual

Return pointer to the sequence

virtual void hal::SequenceIterator::toNext | ( |  | ) | const

pure virtual

Move iterator to next sequence in the genome

virtual void hal::SequenceIterator::toPrev | ( |  | ) | const

pure virtual

Move iterator to previous sequence in the genome

The documentation for this class was generated from the following file:

- inc/halSequenceIterator.h